Debian Bug report logs - #508124
Yum crashes when setting-up a CentOS chroot OS

version graph

Package: python-m2crypto; Maintainer for python-m2crypto is Dima Barsky <dima@debian.org>; Source for python-m2crypto is src:m2crypto.

Reported by: Thomas Goirand <thomas@goirand.fr>

Date: Mon, 8 Dec 2008 04:57:01 UTC

Severity: important

Tags: patch

Merged with 477799, 484364

Found in version m2crypto/0.18.2-1

Fixed in version m2crypto/0.18.2-2

Done: Dima Barsky <dima@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#508124; Package yum. (Mon, 08 Dec 2008 04:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
New Bug report received and forwarded. Copy sent to Anand Kumria <wildfire@progsoc.org>. (Mon, 08 Dec 2008 04:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Yum crashes when setting-up a CentOS chroot OS
Date: Mon, 08 Dec 2008 12:55:46 +0800
Package: yum
Version: 3.2.12-1.2
Severity: important

Hi,

While doing this:

yum -c /var/lib/dtc-xen/yum/yum.conf -y install basesystem centos-release yum \
wget which yum-basearchonly nano rsyslog

yum crashes with the python traceback as bellow.

After some search on google, it seems it's because yum is currently using
python 2.5 in Lenny as in fact, it should be using 2.4 to work correctly. So it
is likely this bug is there since the python transition to 2.5.

So, either have yum run against python 2.4 (by editing /usr/bin/yum to point to
the python 2.4 binary) (if it's still in lenny), and set the dependencies
accordingly so python2.4 is pulled when we install yum, or fix the bugs within
yum itself so that it is compat with python 2.5.

Here is the traceback:

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 91, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 180, in getOptionsConfig
    disabled_plugins=self.optparser._splitArg(opts.disableplugins))
  File "/var/lib/python-support/python2.5/yum/__init__.py", line 156, in _getConfig
    startupconf = config.readStartupConfig(fn, root)
  File "/var/lib/python-support/python2.5/yum/config.py", line 697, in readStartupConfig
    confpp_obj = ConfigPreProcessor(configfile)
  File "/var/lib/python-support/python2.5/yum/parser.py", line 83, in __init__o
    fo = self._pushfile( url ) 1.0.5-10      Light-weight toolkit for XML proce
  File "/var/lib/python-support/python2.5/yum/parser.py", line 176, in _pushfile
    fo = urlgrabber.grabber.urlopen(absurl)  Python interface to the GPGME GnuP
  File "/var/lib/python-support/python2.5/urlgrabber/grabber.py", line 605, in urlopen
    return default_grabber.urlopen(url, **kwargs)on interface to SQLite 2
  File "/var/lib/python-support/python2.5/urlgrabber/grabber.py", line 884, in urlopen
    return self._retry(opts, retryfunc, url) automated rebuilding support for P
  File "/var/lib/python-support/python2.5/urlgrabber/grabber.py", line 845, in _retry
    r = apply(func, (opts,) + args, {})1     Red Hat package manager
  File "/var/lib/python-support/python2.5/urlgrabber/grabber.py", line 883, in retryfunc
    return URLGrabberFileObject(url, filename=None, opts=opts)
  File "/var/lib/python-support/python2.5/urlgrabber/grabber.py", line 1001, in __init__
    self._do_open()kages.
  File "/var/lib/python-support/python2.5/urlgrabber/grabber.py", line 1066, in _do_open
    opener = self._get_opener()
  File "/var/lib/python-support/python2.5/urlgrabber/grabber.py", line 1057, in _get_opener
    self._opener = CachedOpenerDirector(ssl_factory, *handlers)
  File "/var/lib/python-support/python2.5/urlgrabber/grabber.py", line 1312, in CachedOpenerDirector
    opener = ssl_factory.create_opener(*handlers)
  File "/var/lib/python-support/python2.5/urlgrabber/sslfactory.py", line 63, in create_opener
    return m2urllib2.build_opener(self.ssl_context, *handlers)
  File "/var/lib/python-support/python2.5/M2Crypto/m2urllib2.py", line 113, in build_opener
    if inspect.isclass(check):
NameError: global name 'inspect' is not defined




Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#508124; Package yum. (Mon, 08 Dec 2008 07:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. (Mon, 08 Dec 2008 07:36:14 GMT) Full text and rfc822 format available.

Message #10 received at 508124@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: 508124@bugs.debian.org
Subject: More info
Date: Mon, 08 Dec 2008 15:35:55 +0800
I tried apt-get install python2.4, then changing to use it, and it's not
working any better (as it can't find sqlite module to import, etc). I
don't really know how we can fix this now...

Thomas




Severity set to `grave' from `important' Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Tue, 09 Dec 2008 05:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#508124; Package yum. (Thu, 11 Dec 2008 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. (Thu, 11 Dec 2008 19:03:06 GMT) Full text and rfc822 format available.

Message #17 received at 508124@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 508124@bugs.debian.org
Cc: 484364@bugs.debian.org
Subject: This appears to actually be a bug in M2Crypto
Date: Thu, 11 Dec 2008 10:56:12 -0800 (PST)
Note the last part of the traceback:

  File "/var/lib/python-support/python2.5/M2Crypto/m2urllib2.py", line 113, in build_opener
    if inspect.isclass(check):
NameError: global name 'inspect' is not defined

It is due to a missing "import inspect" in M2Crypto.

It is fixed in the 0.18.2-2 upload of M2Crypto.

Going to try to ask for a freeze exception for M2Crypto so that 0.18.2-1 
can hit Lenny.

-- Asheesh.

-- 
Good day for a change of scene.  Repaper the bedroom wall.




Bug reassigned from package `yum' to `python-m2crypto'. Request was from Asheesh Laroia <asheesh@asheesh.org> to control@bugs.debian.org. (Thu, 11 Dec 2008 19:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#508124; Package python-m2crypto. (Thu, 11 Dec 2008 19:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. (Thu, 11 Dec 2008 19:12:02 GMT) Full text and rfc822 format available.

Message #24 received at 508124@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 508124@bugs.debian.org, debian-release@lists.debian.org
Cc: Steffen Joerris <steffen.joeris@skolelinux.de>, dima@debian.org
Subject: Unblock suggestion: m2crypto
Date: Thu, 11 Dec 2008 11:07:00 -0800 (PST)
[Message part 1 (text/plain, inline)]
Howdy again Debian Releasers,

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508124 is indicated as a 
lenny+sid RC bug.  This is a duplicate of #484364 (by the time you see 
this, I will have merged them).

python-m2crypto 0.18.2-1 has a critical bug that it is missing an import. 
The attached debdiff fixes this and one other housekeeping issue.  As it 
is a tiny patch, and it fixes a release-critical bug, I believe it is 
appropriate to be allowed to flow into Lenny.

I'm explicitly CC:ing the maintainer of python-m2crypto and my AM, so they 
both clearly know what I'm up to.

As always with my "unblock suggestions," I'm not the maintainer nor 
Debian-Release, so this is just a suggestion.  But I do think it is the 
right course of action.

-- Asheesh.

-- 
Knock, knock!
	Who's there?
Sam and Janet.
	Sam and Janet who?
Sam and Janet Evening...
[debdiff.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#508124; Package python-m2crypto. (Thu, 11 Dec 2008 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. (Thu, 11 Dec 2008 19:12:03 GMT) Full text and rfc822 format available.

Message #29 received at 508124@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 508124@bugs.debian.org, debian-release@lists.debian.org
Cc: Steffen Joerris <steffen.joeris@skolelinux.de>, dima@debian.org
Subject: Re: Unblock suggestion: m2crypto
Date: Thu, 11 Dec 2008 11:08:03 -0800 (PST)
On Thu, 11 Dec 2008, Asheesh Laroia wrote:

> python-m2crypto 0.18.2-1 has a critical bug that it is missing an 
> import. The attached debdiff fixes this and one other housekeeping 
> issue.  As it is a tiny patch, and it fixes a release-critical bug, I 
> believe it is appropriate to be allowed to flow into Lenny.

I was not clear in the original mail, excuse the noise: 0.18.2-2 in sid 
fixes the issue, and it is that package that I believe should flow into 
Lenny.

-- Asheesh.

-- 
Clothes make the man.  Naked people have little or no influence on society.
		-- Mark Twain




Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#508124; Package python-m2crypto. (Sun, 14 Dec 2008 21:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. (Sun, 14 Dec 2008 21:39:02 GMT) Full text and rfc822 format available.

Message #34 received at 508124@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: 508124@bugs.debian.org, debian-release@lists.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>, dima@debian.org
Subject: Re: Unblock suggestion: m2crypto
Date: Sun, 14 Dec 2008 22:37:35 +0100
Asheesh Laroia wrote:
> Howdy again Debian Releasers,
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508124 is indicated as
> a lenny+sid RC bug.  This is a duplicate of #484364 (by the time you see
> this, I will have merged them).
> 
> python-m2crypto 0.18.2-1 has a critical bug that it is missing an
> import. The attached debdiff fixes this and one other housekeeping
> issue.  As it is a tiny patch, and it fixes a release-critical bug, I
> believe it is appropriate to be allowed to flow into Lenny.

unblocked

Cheers

Luk




Forcibly Merged 477799 484364 508124. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 14 Dec 2008 22:42:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Jan 2009 07:27:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:10:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.